Type to search.

Get ES|QL data sources

  • GET /_query/data_source/{name}
  • GET /_query/data_source
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.5 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Returns one or more data sources used in ES|QL data federation. A concrete-name miss returns 404; a wildcard pattern or list-all request with no match returns 200 with an empty array.

ES|QL Data Federation

Required privileges

Cluster privileges manage

Path parameters

name union string | string[] optional

A comma-separated list of data source names or wildcard patterns. Omit to return all data sources.

Leave it out to use /_query/data_source.

Query parameters

master_timeout string · default: 30s

Period to wait for a connection to the master node.

Response

application/json
data_sources object[] required

The matching data sources. Credential values in each data source's settings are redacted as ::es_redacted:: in the response.

name string required

The data source name.

type string required

The data source type. Currently, s3 is supported.

description string

A free-text description.

settings map string to object required

Type-specific connection and authentication settings.